# Uses of Enum Class
org.springframework.http.HttpStatus.Series

Packages that use HttpStatus.Series
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.web.client
Core package of the client-side web support.

## Uses of HttpStatus.Series in org.springframework.http

Methods in org.springframework.http that return HttpStatus.Series
Modifier and Type
Method
Description
`static HttpStatus.Series`
HttpStatus.Series.`resolve(int statusCode)`
Resolve the given status code to an `HttpStatus.Series`, if possible.
`HttpStatus.Series`
HttpStatus.`series()`
Return the HTTP status series of this status code.
`static HttpStatus.Series`
HttpStatus.Series.`valueOf(int statusCode)`
Return the `Series` enum constant for the supplied status code.
`static HttpStatus.Series`
HttpStatus.Series.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpStatus.Series`
HttpStatus.Series.`valueOf(HttpStatus status)`
Deprecated.
as of 5.3, in favor of invoking `HttpStatus.series()` directly
`static HttpStatus.Series[]`
HttpStatus.Series.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of HttpStatus.Series in org.springframework.web.client

Method parameters in org.springframework.web.client with type arguments of type HttpStatus.Series
Modifier and Type
Method
Description
`void`
ExtractingResponseErrorHandler.`setSeriesMapping(Map<HttpStatus.Series,Class<? extends RestClientException>> seriesMapping)`
Set the mapping from HTTP status series to `RestClientException` subclass.